> ## Documentation Index
> Fetch the complete documentation index at: https://developers.vendaze.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar webhooks

> Retorna uma lista paginada de webhooks criados pela sua integração. Webhooks criados no painel não são incluídos.

<Accordion title="Escopo necessário">
`webhooks:manage`
</Accordion>



## OpenAPI

````yaml /pt/api-reference/openapi.json get /v1/webhooks
openapi: 3.1.0
info:
  title: OAuth 2.1
  description: Endpoints para registrar aplicativos e gerenciar tokens OAuth 2.1.
  version: 1.0.0
  contact:
    name: Suporte Vendaze
    email: suporte@vendaze.com
servers:
  - url: https://api.vendaze.com
    description: Produção
security:
  - bearerAuth: []
tags:
  - name: OAuth
  - name: Pessoas
  - name: Empresas
  - name: Negócios
  - name: Tarefas
  - name: Tipos de Tarefas
  - name: Produtos
  - name: Tags
  - name: Listas
  - name: Campos Adicionais
  - name: Webhooks
paths:
  /v1/webhooks:
    get:
      tags:
        - Webhooks
      summary: Listar webhooks
      description: >-
        Retorna uma lista paginada de webhooks criados pela sua integração.
        Webhooks criados no painel não são incluídos.


        <Accordion title="Escopo necessário">

        `webhooks:manage`

        </Accordion>
      operationId: listWebhooks
      parameters:
        - name: page
          in: query
          schema:
            type: integer
            default: 1
            minimum: 1
          description: Número da página.
        - name: per_page
          in: query
          schema:
            type: integer
            default: 50
            minimum: 1
            maximum: 100
          description: 'Registros por página. Máximo: 100.'
        - name: order_by
          in: query
          schema:
            type: string
            enum:
              - created_at
              - name
            default: created_at
          description: Campo de ordenação.
        - name: order
          in: query
          schema:
            type: string
            enum:
              - asc
              - desc
            default: desc
          description: Direção da ordenação.
      responses:
        '200':
          description: Webhooks retornados com sucesso.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhooksListResponse'
              example:
                data:
                  - id: wh_3f9a1c8b2d4e5f6a7b8c9d0e1f2a3b4c
                    name: Meu webhook
                    url: https://meuapp.com/webhooks/vendaze
                    events:
                      - person.created
                      - deal.won
                    auth_enable: true
                    webhook_secret: >-
                      whsec_3f9a1c8b2d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0
                    created_at: '2026-05-26T14:00:00.000Z'
                meta:
                  total: 1
                  page: 1
                  per_page: 50
                  has_more: false
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/InsufficientScope'
        '422':
          $ref: '#/components/responses/ValidationError'
        '429':
          $ref: '#/components/responses/RateLimitExceeded'
        '500':
          $ref: '#/components/responses/InternalError'
components:
  schemas:
    WebhooksListResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Webhook'
        meta:
          $ref: '#/components/schemas/PaginationMeta'
    Webhook:
      type: object
      properties:
        id:
          type: string
          description: Identificador único do webhook.
          example: wh_3f9a1c8b2d4e5f6a7b8c9d0e1f2a3b4c
        name:
          type: string
          description: Nome descritivo do webhook.
          example: Meu webhook
        url:
          type: string
          format: uri
          description: URL HTTPS de destino para as entregas.
          example: https://meuapp.com/webhooks/vendaze
        events:
          type: array
          items:
            $ref: '#/components/schemas/WebhookEvent'
          description: Lista de eventos monitorados.
          example:
            - person.created
            - deal.won
        auth_enable:
          type: boolean
          description: >-
            Quando `true`, cada entrega inclui um header `Webhook-Signature`
            assinado com o `webhook_secret`.
          example: true
        webhook_secret:
          type: string
          nullable: true
          description: >-
            Presente quando `auth_enable` é `true`. Use para verificar o header
            `Webhook-Signature` em cada entrega. Formato: `whsec_` seguido de 64
            caracteres hex.
          example: >-
            whsec_3f9a1c8b2d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0
        created_at:
          type: string
          format: date-time
          description: Timestamp ISO 8601 UTC de criação do webhook.
          example: '2026-05-26T14:00:00.000Z'
    PaginationMeta:
      type: object
      properties:
        total:
          type: integer
          example: 1
        page:
          type: integer
          example: 1
        per_page:
          type: integer
          example: 50
        has_more:
          type: boolean
          example: false
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
            request_id:
              type: string
              format: uuid
    ValidationErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              example: validation_error
            message:
              type: string
              example: Validation failed.
            fields:
              type: object
              additionalProperties:
                type: string
            request_id:
              type: string
              format: uuid
    WebhookEvent:
      type: string
      enum:
        - person.created
        - person.updated
        - person.deleted
        - activity.created
        - activity.updated
        - activity.deleted
        - company.created
        - company.updated
        - company.deleted
        - deal.created
        - deal.updated
        - deal.stage_changed
        - deal.won
        - deal.lost
        - deal.deleted
        - task.created
        - task.updated
        - task.completed
        - task.deleted
        - tag.created
        - tag.updated
        - tag.deleted
        - product.created
        - product.updated
        - product.deleted
        - pipeline.created
        - pipeline.updated
        - pipeline.deleted
        - member_invited
        - member_joined
        - member_removed
        - usage_logs.created
      description: Nome de um evento válido para monitorar.
  responses:
    Unauthorized:
      description: >-
        Token ausente, inválido ou expirado. Códigos possíveis: `unauthorized`,
        `token_expired`.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              code: unauthorized
              message: Missing or invalid Authorization header.
              request_id: 550e8400-e29b-41d4-a716-446655440000
    InsufficientScope:
      description: 'Token sem o escopo necessário. Código de erro: `insufficient_scope`.'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              code: insufficient_scope
              message: This endpoint requires the 'webhooks:read' scope.
              request_id: 550e8400-e29b-41d4-a716-446655440000
    ValidationError:
      description: >-
        Validação de entrada falhou. Código: `validation_error`. O objeto
        `fields` mapeia cada campo inválido para uma descrição do problema.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ValidationErrorResponse'
          example:
            error:
              code: validation_error
              message: Validation failed.
              fields:
                url: url must use HTTPS.
                events: At least one event is required.
              request_id: 550e8400-e29b-41d4-a716-446655440000
    RateLimitExceeded:
      description: 'Rate limit excedido. Código: `rate_limit_exceeded`.'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              code: rate_limit_exceeded
              message: Rate limit exceeded. Try again in 60 seconds.
              request_id: 550e8400-e29b-41d4-a716-446655440000
    InternalError:
      description: 'Erro interno inesperado. Código: `internal_error`.'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              code: internal_error
              message: An unexpected error occurred.
              request_id: 550e8400-e29b-41d4-a716-446655440000
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Access token OAuth 2.1.

````